<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Review on Bootstrap</title>
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>

    <!-- .container or .container-fluid -->
    <div class="container my-3">
<!-- row can contain 1 or more columns which will divide total of 12 columns per row -->
        <div class="row">
            <div class="
            col-12
            col-sm-12
            col-md-6
            m-auto">
                <form class="border p-4">
                    <div>
                        <label for="email">Email:</label>
                        <input type="email" id="email">
                    </div>
                    <div>
                        <label for="password">Password:</label>
                        <input type="password" id="password">
                    </div>
                </form>
            </div>
        </div>
</div>

<!-- second example -->
<!-- C - R - C in GRID System -->
<div class="container">
<div class="row">
    <div class="
        border
        p-3
        col-12
        col-sm-6
        col-md-5
        ">
        <form class="border p-4">
            <div>
                <label for="email">Email:</label>
                <input type="email" id="email">
            </div>
            <div>
                <label for="password">Password:</label>
                <input type="password" id="password">
            </div>
        </form>
    </div>
    <div class="
        border
        p-3
        col-12
        col-sm-6
        col-md-7
        ">
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda cupiditate reprehenderit nisi vel numquam! Eius eligendi, reiciendis asperiores temporibus accusamus eos debitis voluptas, natus cupiditate iure maxime dolorum assumenda eveniet?</p>
    </div>
</div>

<!-- thrird example -->
<div class="container">
    <div class="row">
        <!-- 1st column -->
        <div class="col-12 p-3 col-md-6 order-md-1
        ">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Libero, quae. Obcaecati vel optio ad rem praesentium maiores rerum sapiente id odio corrupti quaerat eaque similique ab, quis consequuntur eligendi dolore.</p>
        </div>
        <!-- 2nd column -->
        <div class="col-12 p-3 order-md-3
        ">
            <img src="./brooke-cagle-g1Kr4Ozfoac-unsplash.jpg" alt="students" class="img-fluid">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nulla quia ab neque dolores rem quo molestiae eos adipisci commodi eligendi nostrum pariatur dolore, ea iste non minus iure magnam eveniet!</p>
        </div>
        <!-- 3rd column -->
        <div class="col-12 p-3 card bg-secondary col-md-6 order-md-2
            ">
                <img src="./brooke-cagle-g1Kr4Ozfoac-unsplash.jpg" alt="students" class="img-fluid">
                <div class="card-body">
                    <h5 class="text-white">Students</h5>
                    <p class="text-white">Lorem ipsum dolor sit amet consectetur adipisicing elit. Nulla quia ab neque dolores rem quo molestiae eos adipisci commodi eligendi nostrum pariatur dolore, ea iste non minus iure magnam eveniet!</p>
                </div>
            </div>
    </div>
</div>


<!-- Fourth example -->
<div class="container">
    <div class="row">

        <!-- first column -->
        <div class="border bg-success p-3 col-12">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Hic, esse velit id ipsum nisi veniam placeat sint suscipit at consectetur nam voluptas est aperiam libero, excepturi corporis qui animi molestias?</p>
        <!-- nested row -->
            <div class="row">
                <div class="col bg-primary p-3 col-12 col-md-6">
                    <p>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Eos, nam magni iste ut, voluptatem rem optio blanditiis quas inventore magnam facilis tempore eveniet, distinctio dicta quia molestias ipsum aspernatur perferendis!</p>
                </div>
                <div class="col bg-secondary p-3 col-12 col-md-6">
                    <p>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Eos, nam magni iste ut, voluptatem rem optio blanditiis quas inventore magnam facilis tempore eveniet, distinctio dicta quia molestias ipsum aspernatur perferendis!</p>
                </div>
            </div>
        </div>

        <!-- second column -->
        <div class="border bg-warning p-3 col-12">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Hic, esse velit id ipsum nisi veniam placeat sint suscipit at consectetur nam voluptas est aperiam libero, excepturi corporis qui animi molestias?</p>

            <!-- nested row -->
            <div class="row">
                <!-- 1st nested column -->
                <div class="col border bg-info p-3 col-12 col-md-4">
                    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sapiente voluptates soluta assumenda fugit ut, debitis labore est odio deleniti itaque minima saepe iusto corrupti fugiat nesciunt suscipit vitae rem voluptatum.</p>
                </div>
                <!-- 2nd nested column -->
                <div class="col border bg-danger p-3 col-12 col-md-4">
                    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sapiente voluptates soluta assumenda fugit ut, debitis labore est odio deleniti itaque minima saepe iusto corrupti fugiat nesciunt suscipit vitae rem voluptatum.</p>
                </div>
                <!-- 3rd nested column -->
                <div class="col border bg-light p-3 col-12 col-md-4">
                    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sapiente voluptates soluta assumenda fugit ut, debitis labore est odio deleniti itaque minima saepe iusto corrupti fugiat nesciunt suscipit vitae rem voluptatum.</p>
                </div>
            </div>
        </div>
    </div>

    <div style="margin-top: 100px"></div>
</div>












    <!-- Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>